


---

 25-akpm/ipc/shm.c  |    2 ++
 25-akpm/mm/shmem.c |    4 ++++
 2 files changed, 6 insertions(+)

diff -puN mm/shmem.c~numa-api-shared-memory-support-tweaks mm/shmem.c
--- 25/mm/shmem.c~numa-api-shared-memory-support-tweaks	Wed Apr  7 13:23:03 2004
+++ 25-akpm/mm/shmem.c	Wed Apr  7 13:23:36 2004
@@ -1146,6 +1146,7 @@ static int shmem_populate(struct vm_area
 	return 0;
 }
 
+#ifdef CONFIG_NUMA
 int shmem_set_policy(struct vm_area_struct *vma, struct mempolicy *new)
 {
 	struct inode *i = vma->vm_file->f_dentry->d_inode;
@@ -1161,6 +1162,7 @@ shmem_get_policy(struct vm_area_struct *
 	idx = ((addr - vma->vm_start) >> PAGE_SHIFT) + vma->vm_pgoff;
 	return mpol_shared_policy_lookup(&SHMEM_I(i)->policy, idx);
 }
+#endif
 
 void shmem_lock(struct file *file, int lock)
 {
@@ -1971,8 +1973,10 @@ static struct super_operations shmem_ops
 static struct vm_operations_struct shmem_vm_ops = {
 	.nopage		= shmem_nopage,
 	.populate	= shmem_populate,
+#ifdef CONFIG_NUMA
 	.set_policy     = shmem_set_policy,
 	.get_policy     = shmem_get_policy,
+#endif
 };
 
 static struct super_block *shmem_get_sb(struct file_system_type *fs_type,
diff -puN ipc/shm.c~numa-api-shared-memory-support-tweaks ipc/shm.c
--- 25/ipc/shm.c~numa-api-shared-memory-support-tweaks	Wed Apr  7 13:24:19 2004
+++ 25-akpm/ipc/shm.c	Wed Apr  7 13:24:28 2004
@@ -163,8 +163,10 @@ static struct vm_operations_struct shm_v
 	.open	= shm_open,	/* callback for a new vm-area open */
 	.close	= shm_close,	/* callback for when the vm-area is released */
 	.nopage	= shmem_nopage,
+#ifdef CONFIG_NUMA
 	.set_policy = shmem_set_policy,
 	.get_policy = shmem_get_policy,
+#endif
 };
 
 static int newseg (key_t key, int shmflg, size_t size)

_
